ahagele

papilio-prog Install problems

Recommended Posts

I'm new the papilio and I'm in process installing the tools on Ubuntu 64.

There is a problem with the ftdi driver.

I have the 'libftdi-dev'  and 'default-jdk' installed but when running the command line or gui prog tool I get an error

 

andreas@andreas-HP-6730b:~$ papilio-prog
papilio-prog: error while loading shared libraries: libftdi.so.1: cannot open shared object file: No such file or directory
andreas@andreas-HP-6730b:~$ sudo apt-get install libftdi-dev default-jdk
Reading package lists... Done
Building dependency tree       
Reading state information... Done
default-jdk is already the newest version.
libftdi-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 26 not upgraded.
andreas@andreas-HP-6730b:~$
 
 
Any ideas what's going wrong here?
 

Share this post


Link to post
Share on other sites

if you are using debian for example enable multiarch i386

you can then do

apt-get install libftdi1:386

which curiously I needed to do despite compiling from git... frankly it works, I can live with it being on last centuries architecture...

Share this post


Link to post
Share on other sites

Thanks for that.

I have not used multiarch (yet).

Since my last post here I have not tried again. In fact I did compile it for 64bit but it did not find he USB serial ports, so I gave up.

I'm now running the windows version of the papilio-prog on windows (32bit) in a virtual machine.

And the Xilinx ISE in Linux (64bit). That seems to work ok.

Share this post


Link to post
Share on other sites

are you using debian (multiarch is slightly different on spybuntu) ?

take a look at https://wiki.debian.org/Multiarch/HOWTO

frankly I wouldn't trust any version of 32bit windows not to immediatly join a bot net so I hope you removed the Ethernet on that virtual machine!

I just realised that I only compiled the noddy GUI for the pap loader which is why it needed the 32 bit ftdi lib....

I can't for the life of me think why it couldnt find the USB ports it even worked out of the box on my laptops usb3 ports (which are not always as backward compatible as people assume!)

maybe with some console output from it failing to work and the output of lsusb (verbose limited to the device only) I might be able to see what the issue is?

Share this post


Link to post
Share on other sites

True, it can be a bit of a challenge with 32bit windows. But I still got plenty of software that needs it (but that's a different topic).

I need to get back to have another look at the 64bit Linux papilio-prog. These descriptions for the compile and install did not fully make sense to me.

Yes I'm using Ubuntu 12.04 i.e. debian.

Share this post


Link to post
Share on other sites

alas Ubuntu is no longer debian with a bit of cream on top, despite packages being based on debian packages Ubuntu is starting diverge in a number of ways, fortunately that URL has Ubuntu specific instructions as well...

the less I deal with that other OS the lower my blood pressure but then that too is a different topic!

if you pull the GUI tool and compile it I think it must include the 32bit pap prog executable, at any rate just enable multiarch and you can install the 32bit ftdi lib, it all then just worked...

oh and first run of the GUI tool enable advanced and restart it, or you won't be able to program spi flash (you need to erase first)

Share this post


Link to post
Share on other sites

** Sorry to resurrect an old thread, just fixed this issue and want to add it in case it helps anyone **

 

I built it too as I wanted the 64bit version on Fedora 22. There's a bit of an issue in the configuration, the pkg-config seems to look for libftdi.pc instead of libftdi1.pc (which is what's present on my system). I messed around a bit, one way I think to get it going is changing the "libftdi" to "libftdi1" in the configure file's following line:

 

pkg-config --exists --print-errors "libftdi >= 0.19"

 

that'll point pkg-config at the correct package configuration file.

 

Another way to hack it is to make a copy of /usr/lib64/pkgconfig/libftdi1.pc called /usr/lib64/pkgconfig/libftdi.pc before running autogen.sh, configure and make.

 

Either way I got the quick start bit file loaded then as follows (had issues with the wrapper scripts so just used the executable directly):

 

$ sudo ./papilio-prog -v -f Quickstart-Papilio_One_250K-v1.5.bit -v
Using built-in device list
JTAG chainpos: 0 Device IDCODE = 0x11c1a093     Desc: XC3S250E
Created from NCD file: top_avr_core_v8.ncd;UserID=0xFFFFFFFF
Target device: 3s250evq100
Created: 2010/10/15 12:59:05
Bitstream length: 1353728 bits

Uploading "Quickstart-Papilio_One_250K-v1.5.bit". Done.
Programming time 278.1 ms
USB transactions: Write 90 read 6 retries 5

 

A bit heavy handed I know but I don't know much about autoconf etc. and just wanted to get it building!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now